## restorecond 2.7

=== Makefile ===
PKG_CONFIG ?= pkg-config

# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(PREFIX)/sbin
LIBDIR ?= $(PREFIX)/lib
MANDIR = $(PREFIX)/share/man
AUTOSTARTDIR = $(DESTDIR)/etc/xdg/autostart
DBUSSERVICEDIR = $(DESTDIR)/usr/share/dbus-1/services
SYSTEMDDIR ?= $(DESTDIR)/usr/lib/systemd

autostart_DATA = sealertauto.desktop
INITDIR ?= $(DESTDIR)/etc/rc.d/init.d
SELINUXDIR = $(DESTDIR)/etc/selinux

DBUSFLAGS = -DHAVE_DBUS $(shell $(PKG_CONFIG) --cflags dbus-glib-1)
DBUSLIB = $(shell $(PKG_CONFIG) --libs dbus-glib-1)

CFLAGS ?= -g -Werror -Wall -W
override CFLAGS += $(DBUSFLAGS)

USE_PCRE2 ?= n
ifeq ($(USE_PCRE2),y)
	PCRE_CFLAGS := -DUSE_PCRE2 -DPCRE2_CODE_UNIT_WIDTH=8 $(shell $(PKG_CONFIG) --cflags libpcre2-8)
	PCRE_LDLIBS := $(shell $(PKG_CONFIG) --libs libpcre2-8)
else
	PCRE_CFLAGS := $(shell $(PKG_CONFIG) --cflags libpcre)
	PCRE_LDLIBS := $(shell $(PKG_CONFIG) --libs libpcre)
endif
export PCRE_CFLAGS PCRE_LDLIBS

override LDLIBS += -lselinux $(PCRE_LDLIBS) $(DBUSLIB)

all: restorecond

restorecond.o utmpwatcher.o stringslist.o user.o watch.o: restorecond.h

restorecond:  restore.o restorecond.o utmpwatcher.o stringslist.o user.o watch.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	-mkdir -p $(SBINDIR)
	install -m 755 restorecond $(SBINDIR)
	install -m 644 restorecond.8 $(MANDIR)/man8
	-mkdir -p $(INITDIR)
	install -m 755 restorecond.init $(INITDIR)/restorecond
	-mkdir -p $(SELINUXDIR)
	install -m 644 restorecond.conf $(SELINUXDIR)/restorecond.conf
	install -m 644 restorecond_user.conf $(SELINUXDIR)/restorecond_user.conf
	-mkdir -p $(AUTOSTARTDIR)
	install -m 644 restorecond.desktop $(AUTOSTARTDIR)/restorecond.desktop
	-mkdir -p $(DBUSSERVICEDIR)
	install -m 600 org.selinux.Restorecond.service  $(DBUSSERVICEDIR)/org.selinux.Restorecond.service
	-mkdir -p $(SYSTEMDDIR)/system
	install -m 644 restorecond.service $(SYSTEMDDIR)/system/
relabel: install
	/sbin/restorecon $(SBINDIR)/restorecond 

clean:
	-rm -f restorecond *.o *~

indent:
	../../scripts/Lindent $(wildcard *.[ch])

test:

=== debian/changelog ===
restorecond (2.7-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/control: Remove Manoj from the uploader list and add myself
    instead. Thanks to him for all the work in the past.
  * Bump debhelper compatibility to 10
  * Bump Standards-Version to 4.1.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Sep 2017 00:23:16 +0200

restorecond (2.7~rc3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate
    - Rename source package from policycoreutils to restorecond, drop all
      references to the packages that are not built from this src package
    - Drop all the patches except 0006-default-config.patch, they are either
      merged upstream or not releavant anymore since policycoreutils has been
      split in smaller components
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/watch: Add support for rc releases and use macros
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes) 
  * debian/control: Add pkg-config to the build-dependencies

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Jun 2017 14:37:35 +0200

policycoreutils (2.6-3) unstable; urgency=medium

  * Team upload.
  * d/p/Handle-python-error-returns-correctly.patch: Fix a bug that was
    preventing to override file contexts already defined in the policy

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Jan 2017 00:56:57 +0100

policycoreutils (2.6-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 Nov 2016 13:19:15 +0100

policycoreutils (2.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Drop d/p/Dont_use_subprocess_getstatusoutput_in_Python_2_code.patch,
      d/p/sandbox-dbus-run-session.patch, d/p/CVE-2016-7545.patch,
      d/p/sandbox-gobject-gtk.patch, applied upstream
    - Refreshed the other patches
    - debian/control: Bump {build-}dependencies to match the new release
    - debian/control: Drop libapol-dev and libqpol-dev build-dependencies
    - debian/python-sepolicy.install: Drop .so file, this is now a pure python
      module.
    - Install new restorecon_xattr executable and manpage
  * debian/control: Drop libcgroup-dev build-dependency, no longer used
  * debian/gbp.conf: Rename git-buildpackage section to buildpackage
  * Switch to python3, disable system-config-selinux for now as it doesn't
    support that version.
  * d/p/policycoreutils-Use-new-sepolicy-icon-in-.desktop-fi.patch: Use new
    icon for sepolicy (From upstream)
  * d/p/Sandbox-Use-next-over-the-sepolicy.info-result.patch,
    d/p/policycoreutils-Make-sepolicy-work-with-python3.patch,
    d/p/policycoreutils-Use-GObject-introspection-binding-in.patch Add some
    fixes for python3 (From upstream)
  * debian/control: Add lsb-base dependency to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Wed, 23 Nov 2016 01:15:04 +0100

policycoreutils (2.5-3) unstable; urgency=medium

  * Team upload.
  * d/p/Dont_use_subprocess_getstatusoutput_in_Python_2_code.patch: Make the
    python code of chcat and sandbox compatible with both python2 and python3
  * debian/NEWS, debian/control: Fix a typo
  * Merge Fedora changes to the selinux-autorelabel systemd scripts and units.
    We now use a selinux-autorelabel.target and a generator that override the
    default.target in case we need to relabel the filesystems.
  * debian/patches/sandbox-dbus-run-session.patch: Use dbus-run-session
    instead of dbus-launch when available (Closes: #836289)
  * debian/patches/CVE-2016-7545.patch: create a new session for sandboxed
    processes (Closes: #838599 CVE-2016-7545)
  * debian/patches/sandbox-gobject-gtk.patch: Use GTK+ GObject introspection
    bindings instead of old pygtk2 ones
  * debian/patches/sandbox-x-window-manager.patch: Use system default window
    manager instead of openbox

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Sep 2016 22:30:28 +0200

policycoreutils (2.5-2) unstable; urgency=medium

  * Team upload.
  * Remove the 'debian-' prefix from the selinux-autorelabel LSB script and
    systemd services, not sure why I added it in the first place…

 -- Laurent Bigonville <bigon@debian.org>  Fri, 13 May 2016 22:49:27 +0200

policycoreutils (2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Drop d/p/0001-legacy.patch, d/p/0016-open-init-pty: new open_init_pty
      has been merged upstream
    - debian/patches/0023-sepolicy-help-path.patch: Refreshed
    - debian/control: Bump {build-}dependencies to match the new release
    - Fix newrole to not drop capabilities from the bounding set. (Closes:
      #813604)
    - Fix crash when python-audit is not installed (Closes: #734806)
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Update the Vcs-* URL's to please lintian (again)
  * debian/NEWS: Remove duplicate word, thanks to lintian

 -- Laurent Bigonville <bigon@debian.org>  Tue, 26 Apr 2016 14:54:13 +0200

policycoreutils (2.4-4) unstable; urgency=medium

  * Team upload.
  * Drop d/p/0009-find-does-not-have-a-context-switch.patch, findutils now
    supports the -context switch, also be sure we have the correct version
    installed.
  * Create the /usr/sbin/load_policy symlink in the postinst script to support
    the everything-in-usr directories scheme. (Closes: #767930)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 24 Jan 2016 12:12:53 +0100

policycoreutils (2.4-3) unstable; urgency=medium

  * Team upload.
  * debian/gbp.conf: Sign tags by default
  * debian/control: Drop python-setools dependency, this is not needed anymore
  * debian/rules: Fix FTBFS when building arch-indep packages only (Closes:
    #809122)
  * debian/control: Bump libapol and libqpol build-dependencies to 3.3.8



=== debian/control ===
Source: restorecond
VCS-Git: https://anonscm.debian.org/git/selinux/restorecond.git
VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/restorecond.git;a=summary
Priority: optional
Section: utils
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 4.1.0
Build-Depends: debhelper (>= 10),
               dh-systemd (>= 1.4),
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libpcre3-dev,
               libselinux1-dev (>= 2.7),
               pkg-config
Homepage: http://userspace.selinuxproject.org/

Package: restorecond
Architecture: linux-any
Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Description: SELinux core policy utilities (restorecond utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains restorecond to restore contexts of files that often get
 the wrong context.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export LIBDIR=$${DESTDIR}/usr/lib/${DEB_HOST_MULTIARCH}
export INITDIR=$${DESTDIR}/etc/init.d
export SYSTEMDDIR=$${DESTDIR}/lib/systemd

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
# doesn't use local environment variables.
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS)

%:
	dh $@ --with systemd

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install --list-missing

## restorecond 2.8

=== debian/changelog ===
restorecond (2.8-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/control: Point Vcs-* fields to new (salsa) machine
  * debian/rules: Adjust to match upstream changes to the build system
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/control: Drop dh-systemd build-dependency, not needed with dh 10
  * debian/rules: Use dh_missing --list-missing instead of dh_install

 -- Laurent Bigonville <bigon@debian.org>  Tue, 29 May 2018 09:37:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: restorecond
-VCS-Git: https://anonscm.debian.org/git/selinux/restorecond.git
-VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/restorecond.git;a=summary
+VCS-Git: https://salsa.debian.org/selinux-team/restorecond.git
+VCS-Browser: https://salsa.debian.org/selinux-team/restorecond
 Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 10),
-               dh-systemd (>= 1.4),
                libdbus-1-dev,
                libdbus-glib-1-dev,
                libglib2.0-dev,
                libpcre3-dev,
-               libselinux1-dev (>= 2.7),
+               libselinux1-dev (>= 2.8),
                pkg-config
 Homepage: http://userspace.selinuxproject.org/

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,8 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-export LIBDIR=$${DESTDIR}/usr/lib/${DEB_HOST_MULTIARCH}
 export INITDIR=$${DESTDIR}/etc/init.d
-export SYSTEMDDIR=$${DESTDIR}/lib/systemd
+export SYSTEMDDIR=/lib/systemd
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -23,5 +22,5 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
 
-override_dh_install:
-	dh_install --list-missing
+override_dh_missing:
+	dh_missing --list-missing

## restorecond 2.9

=== debian/changelog ===
restorecond (2.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Jul 2019 09:13:55 +0200

restorecond (2.9-1) experimental; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/watch: Adjust the URL
  * debian/control: Bump Standards-Version to 4.3.0 (no further changes)
  * debian/patches/nolink_pcre.patch: Stop linking against PCRE
  * debian/restorecond.install: Install manpages in Russian
  * debian/patches/pidfile_location.patch: Move the pidfile from /var/run to
    /run to please systemd and lintian

 -- Laurent Bigonville <bigon@debian.org>  Wed, 27 Mar 2019 15:42:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 10),
                libdbus-1-dev,
                libdbus-glib-1-dev,
                libglib2.0-dev,
-               libpcre3-dev,
-               libselinux1-dev (>= 2.8),
+               libselinux1-dev (>= 2.9),
                pkg-config
 Homepage: http://userspace.selinuxproject.org/

## restorecond 3.0

=== debian/changelog ===
restorecond (3.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
    - Refresh d/p/0006-default-config.patch and drop d/p/nolink_pcre.patch and
      d/p/pidfile_location.patch, both applied upstream
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12, stop overriding dh_missing and stop
    calling the systemd sequence and add Pre-Depends: ${misc:Pre-Depends}

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Dec 2019 11:06:43 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,19 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 12),
                libdbus-1-dev,
                libdbus-glib-1-dev,
                libglib2.0-dev,
-               libselinux1-dev (>= 2.9),
+               libselinux1-dev (>= 3.0),
                pkg-config
 Homepage: http://userspace.selinuxproject.org/
 
 Package: restorecond
 Architecture: linux-any
 Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Breaks: policycoreutils (<< 2.4)
 Replaces: policycoreutils (<< 2.4)
 Description: SELinux core policy utilities (restorecond utilities)

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,7 @@
 export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS)
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
-
-override_dh_missing:
-	dh_missing --list-missing

## restorecond 3.1

=== debian/changelog ===
restorecond (3.1-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
    - debian/control: Drop libdbus-1-dev and libdbus-glib-1-dev, restorecond
      now uses GDBus (Closes: #955940)
  * debian/control: Set Rules-Requires-Root: no
  * debian/rules: Update systemd unit directories path
  * debian/restorecond.install: Install the systemd user service file
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 15 Jul 2020 09:48:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: debhelper (>= 12),
-               libdbus-1-dev,
-               libdbus-glib-1-dev,
                libglib2.0-dev,
-               libselinux1-dev (>= 3.0),
+               libselinux1-dev (>= 3.1),
                pkg-config
 Homepage: http://userspace.selinuxproject.org/
+Rules-Requires-Root: no
 
 Package: restorecond
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export INITDIR=$${DESTDIR}/etc/init.d
-export SYSTEMDDIR=/lib/systemd
+export SYSTEMDSYSTEMUNITDIR=/lib/systemd/system
+export SYSTEMDUSERUNITDIR=/usr/lib/systemd/user
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## restorecond 3.3

=== debian/changelog ===
restorecond (3.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christian Göttsche ]
  * d/gitlab-ci.yml: Use Debian recipe
  * d/control: Bump debhelper compat to level 13
  * d/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/control: Update homepage
  * d/rules: Enable -Wall -Wextra
  * d/control: Convert cute fields
  * d/patches/default-config: Declare forwarded as not-needed

  [ Laurent Bigonville ]
  * debian/watch: Update the URL to follow the new tagging format
  * New upstream version 3.3
    - debian/control: Bump build-dependencies to match the new release
  * debian/control: Drop ancient Breaks/Replaces
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Nov 2021 12:46:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,23 @@
 Source: restorecond
-VCS-Git: https://salsa.debian.org/selinux-team/restorecond.git
-VCS-Browser: https://salsa.debian.org/selinux-team/restorecond
+Vcs-Git: https://salsa.debian.org/selinux-team/restorecond.git
+Vcs-Browser: https://salsa.debian.org/selinux-team/restorecond
 Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 12),
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
-               libselinux1-dev (>= 3.1),
+               libselinux1-dev (>= 3.3),
                pkg-config
-Homepage: http://userspace.selinuxproject.org/
+Homepage: https://selinuxproject.org
 Rules-Requires-Root: no
 
 Package: restorecond
 Architecture: linux-any
 Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: policycoreutils (<< 2.4)
-Replaces: policycoreutils (<< 2.4)
 Description: SELinux core policy utilities (restorecond utilities)
  Security-enhanced Linux is a patch of the Linux® kernel and a number
  of utilities with enhanced security functionality designed to add

## restorecond 3.4

=== debian/changelog ===
restorecond (3.4-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * Enable GPG key validation of the upstream tarball

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2022 14:52:06 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
-               libselinux1-dev (>= 3.3),
+               libselinux1-dev (>= 3.4),
                pkg-config
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no

## restorecond 3.5

=== debian/changelog ===
restorecond (3.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:55:07 +1100

restorecond (3.5-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:49:58 +0000

restorecond (3.5-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * debian/upstream/signing-key.asc: Add public key of Jason Zaman
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)
  * debian/control: Drop lsb-base from the dependencies, to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Mon, 10 Jul 2023 21:12:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Vcs-Browser: https://salsa.debian.org/selinux-team/restorecond
 Priority: optional
 Section: utils
-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
-               libselinux1-dev (>= 3.4),
+               libselinux1-dev (>= 3.5),
                pkg-config
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no
 
 Package: restorecond
 Architecture: linux-any
-Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
+Depends: selinux-utils, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: SELinux core policy utilities (restorecond utilities)
  Security-enhanced Linux is a patch of the Linux® kernel and a number

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export INITDIR=/etc/init.d
export SYSTEMDSYSTEMUNITDIR=/lib/systemd/system
export SYSTEMDUSERUNITDIR=/usr/lib/systemd/user

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
# doesn't use local environment variables. Also enable Wall and Wextra to spot
# basic irregularities.
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS) -Wall -Wextra

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## restorecond 3.7

=== debian/changelog ===
restorecond (3.7-1) unstable; urgency=medium

  * New upstream release
  * Added new upstream signing key
  * Removed config for Russian man page
  * Added /run/resolvconf/resolv.conf to config Closes: #769803

 -- Russell Coker <russell@coker.com.au>  Mon, 02 Sep 2024 21:36:14 +1000

restorecond (3.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files from / to /usr (DEP17). (Closes: #1073776)
  * Replace Build-Depends on obsolete pkg-config with pkgconf

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Aug 2024 08:40:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Vcs-Browser: https://salsa.debian.org/selinux-team/restorecond
 Priority: optional
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
+Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
-               libselinux1-dev (>= 3.5),
-               pkg-config
+               libselinux1-dev (>= 3.7),
+               pkgconf
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no

## restorecond 3.8.1

=== debian/changelog ===
restorecond (3.8.1-1) unstable; urgency=medium

  * New upstream release, just change version number

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Mar 2025 18:23:26 +1100

restorecond (3.8-1) unstable; urgency=medium

  * new upstream release

 -- Russell Coker <russell@coker.com.au>  Thu, 06 Feb 2025 22:28:02 +1100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
-               libselinux1-dev (>= 3.7),
+               libselinux1-dev (>= 3.8.1),
                pkgconf
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no

## restorecond 3.9

=== Makefile ===
PKG_CONFIG ?= pkg-config

# Installation directories.
LINGUAS ?=
PREFIX ?= /usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
AUTOSTARTDIR = /etc/xdg/autostart
DBUSSERVICEDIR = $(PREFIX)/share/dbus-1/services
SYSTEMDSYSTEMUNITDIR ?= $(shell $(PKG_CONFIG) --variable=systemdsystemunitdir systemd)
SYSTEMDUSERUNITDIR ?= $(shell $(PKG_CONFIG) --variable=systemduserunitdir systemd)

autostart_DATA = sealertauto.desktop
INITDIR ?= /etc/rc.d/init.d
SELINUXDIR = /etc/selinux

GIO_CFLAGS = -DHAVE_DBUS $(shell $(PKG_CONFIG) --cflags gio-2.0)
GIO_LIBS = $(shell $(PKG_CONFIG) --libs gio-2.0)

CFLAGS ?= -g -Werror -Wall -W
override CFLAGS += -I../../libselinux/include $(GIO_CFLAGS)
override LDFLAGS+= -L../../libselinux/src
override LDLIBS += -lselinux $(GIO_LIBS)

all: restorecond

restorecond.o utmpwatcher.o stringslist.o user.o watch.o: restorecond.h

restorecond:  restore.o restorecond.o utmpwatcher.o stringslist.o user.o watch.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

install: all
	[ -d $(DESTDIR)$(MANDIR)/man8 ] || mkdir -p $(DESTDIR)$(MANDIR)/man8
	-mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 restorecond $(DESTDIR)$(SBINDIR)
	install -m 644 restorecond.8 $(DESTDIR)$(MANDIR)/man8
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			[ -d $(DESTDIR)$(MANDIR)/$${lang}/man8 ] || mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
		fi ; \
	done
	-mkdir -p $(DESTDIR)$(INITDIR)
	install -m 755 restorecond.init $(DESTDIR)$(INITDIR)/restorecond
	-mkdir -p $(DESTDIR)$(SELINUXDIR)
	install -m 644 restorecond.conf $(DESTDIR)$(SELINUXDIR)/restorecond.conf
	install -m 644 restorecond_user.conf $(DESTDIR)$(SELINUXDIR)/restorecond_user.conf
	-mkdir -p $(DESTDIR)$(AUTOSTARTDIR)
	install -m 644 restorecond.desktop $(DESTDIR)$(AUTOSTARTDIR)/restorecond.desktop
	-mkdir -p $(DESTDIR)$(DBUSSERVICEDIR)
	install -m 644 org.selinux.Restorecond.service  $(DESTDIR)$(DBUSSERVICEDIR)/org.selinux.Restorecond.service
	-mkdir -p $(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)
	install -m 644 restorecond.service $(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)
	-mkdir -p $(DESTDIR)$(SYSTEMDUSERUNITDIR)
	install -m 644 restorecond_user.service $(DESTDIR)$(SYSTEMDUSERUNITDIR)
relabel: install
	/sbin/restorecon $(DESTDIR)$(SBINDIR)/restorecond 

clean:
	-rm -f restorecond *.o *~

indent:
	../../scripts/Lindent $(wildcard *.[ch])

test:

=== debian/changelog ===
restorecond (3.9-1) unstable; urgency=medium

  * New upstream release
  * Remove FSF address from copyright

 -- Russell Coker <russell@coker.com.au>  Sat, 18 Oct 2025 17:38:23 +1100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
-               libselinux1-dev (>= 3.8.1),
+               libselinux1-dev (>= 3.9),
                pkgconf
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export INITDIR=/etc/init.d
-export SYSTEMDSYSTEMUNITDIR=/lib/systemd/system
+export SYSTEMDSYSTEMUNITDIR=/usr/lib/systemd/system
 export SYSTEMDUSERUNITDIR=/usr/lib/systemd/user
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
